JavaConfig (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.java.config, class: JavaConfig

Package org.apache.jmeter.protocol.java.config

# Class JavaConfig

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.config.ConfigTestElement
org.apache.jmeter.protocol.java.config.JavaConfig

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `ConfigElement`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

public class JavaConfig extends ConfigTestElement implements Serializable
The `JavaConfig` class contains the configuration data necessary for the Java protocol. This data is used to configure a `JavaSamplerClient` instance to perform performance test samples.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from class org.apache.jmeter.config.ConfigTestElement

  `PASSWORD, USERNAME`

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaConfig()`
  Constructor for the JavaConfig object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addArgument(String name, String value)`
  Adds an argument to the list of arguments for this JavaConfig object.
  `Arguments`
  `getArguments()`
  Gets the arguments for this JavaConfig object.
  `String`
  `getClassname()`
  Gets the class name attribute of the JavaConfig object.
  `void`
  `removeArguments()`
  Removes all of the arguments associated with this JavaConfig object.
  `void`
  `setArguments(Arguments args)`
  Set all of the arguments for this JavaConfig object.
  `void`
  `setClassname(String classname)`
  Sets the class name attribute of the JavaConfig object.

  ### Methods inherited from class org.apache.jmeter.config.ConfigTestElement

  `addConfigElement, addTestElement, expectsModification, getProps, getSchema`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.config.ConfigElement

  `clone`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### JavaConfig

    public JavaConfig()
    Constructor for the JavaConfig object

- ## Method Details

  - ### setClassname

    public void setClassname(String classname)
    Sets the class name attribute of the JavaConfig object. This is the class name of the `JavaSamplerClient` implementation which will be used to execute the test.
    Parameters:
      `classname` - the new classname value

  - ### getClassname

    public String getClassname()
    Gets the class name attribute of the JavaConfig object. This is the class name of the `JavaSamplerClient` implementation which will be used to execute the test.
    Returns:
      the classname value

  - ### addArgument

    public void addArgument(String name, String value)
    Adds an argument to the list of arguments for this JavaConfig object. The `JavaSamplerClient` implementation can access these arguments through the `JavaSamplerContext`.
    Parameters:
      `name` - the name of the argument to be added
      `value` - the value of the argument to be added

  - ### removeArguments

    public void removeArguments()
    Removes all of the arguments associated with this JavaConfig object.

  - ### setArguments

    public void setArguments(Arguments args)
    Set all of the arguments for this JavaConfig object. This will replace any previously added arguments. The `JavaSamplerClient` implementation can access these arguments through the `JavaSamplerContext`.
    Parameters:
      `args` - the new arguments

  - ### getArguments

    public Arguments getArguments()
    Gets the arguments for this JavaConfig object. The `JavaSamplerClient` implementation can access these arguments through the `JavaSamplerContext`.
    Returns:
      the arguments